Bug 162730 - eclipse fails and reports a missing libXm.so.2
eclipse fails and reports a missing libXm.so.2
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-07 23:23 EDT by Greg Ennis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-08 12:12:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Ennis 2005-07-07 23:23:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
I performed a fresh install using the DVD downloaded from the Fedora Site.  After making shre the DVD passed the checksum test I proceeded with the install.  I had no problems with the installation, and everything I have tested so far works fine except eclipse.  The installation was a pretty full installation except the multiple languages.  

I first tried to use eclispe on the root account, I got the splash screen but it caused the gui to hang.  I shutdown and rebooted.  When I tried it again on the root account I received the following message :

"eclipse: error while loading shared libraries: libXm.so.2: cannot open shared object file: No such file or directory.

I have received the same error message trying to use a regular user account.


Version-Release number of selected component (if applicable):
kernal 2.6.12-1.1387_FC4 on i686

How reproducible:
Always

Steps to Reproduce:
1.Trying to activate eclipse from the gnome gui fails without any response
2.Trying to activate eclipse from a terminal window produces the above error every time.

  

Actual Results:  The gnomen gui provides no response.

A terminal window responds by "eclipse: error while loading shared libraries: libXm.so.2: cannot open shared object file: No such file or directory.

Expected Results:  eclipse should have been activated

Additional info:

When I try to see if the rpm is installed by running

rpm -q eclipse

I get the message that eclipse is not installed
Comment 1 Aaron Luchko 2005-07-07 23:47:07 EDT
I'm not sure about the "eclipse: error while loading shared libraries:
libXm.so.2: cannot open shared object file: No such file or directory." but the
start up as root problem is Bug 152386.

As to the rpm -q eclipse there isn't a single eclipse rpm, it's split into
several different rpms
eclipse-ecj, eclipse-pde, eclipse-rcp, eclipse-jdt, eclipse-platform
Comment 2 Greg Ennis 2005-07-08 00:04:25 EDT
Do you think another install with the force option would be indicated?
Comment 3 Billy Biggs 2005-07-08 01:11:10 EDT
If it's trying to load libXm.so.2, you're using the Motif version of eclipse
for some reason.  You probably downloaded the wrong version of eclipse.
You want the GTK+ version.
Comment 4 Greg Ennis 2005-07-08 09:12:42 EDT
I wish that were the case, but this was a fresh install with a Fedora C4 DVD
disk.  I did not download anything.  I had used up2date before I tried to use
eclipse, but have not added any mirrors to the setup; I only used what came
standard with the installation
Comment 5 Andrew Overholt 2005-07-08 09:23:45 EDT
Can you please give us the output of the following?

which java
java -version
which javac
javac -version
which eclipse
rpm -qa | egrep "eclipse|libswt"
Comment 6 Greg Ennis 2005-07-08 09:36:05 EDT
Here are the results of 

rpm -qa | egrep "eclipse|libswt"

eclipse-changelog-2.0.1_fc-21
eclipse-platform-3.1.0_fc-0.M6.22
eclipse-pde-devel-3.1.0_fc-0.M6.22
eclipse-bugzilla-0.1.0_fc-16
eclipse-jdt-devel-3.1.0_fc-0.M6.22
eclipse-pydev-0.9.3_fc-7
libswt3-gtk2-3.1.0_fc-0.M6.22
eclipse-cdt-3.0.0_fc-0.M6.7
eclipse-platform-devel-3.1.0_fc-0.M6.22
eclipse-pde-3.1.0_fc-0.M6.22
eclipse-ecj-3.1.0_fc-0.M6.22
eclipse-jdt-3.1.0_fc-0.M6.22


~
Comment 7 Greg Ennis 2005-07-08 09:44:50 EDT
Sorry for the double post

java version "1.4.2"
gij (GNU libgcj) version 4.0.0 20050519 (Red Hat 4.0.0-8)

Copyright (C) 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE

java version "1.4.2"
gij (GNU libgcj) version 4.0.0 20050519 (Red Hat 4.0.0-8)

Copyright (C) 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
[root@gpe greg]# javac -version
Eclipse Java Compiler 0.548, pre-3.1.0 milestone-6, Copyright IBM Corp 2000,
2005. All rights reserved.
.
Comment 8 Aaron Luchko 2005-07-08 10:28:55 EDT
Can you please run try updating your eclipse packages?
We have 3.1.0 final in now and it's possible what you're seeing could be some
upstream bug.
Comment 9 Andrew Overholt 2005-07-08 10:41:47 EDT
(In reply to comment #8)
> Can you please run try updating your eclipse packages?

What Aaron means is can you try updating to what's in rawhide:

yum --enablerepo=development install eclipse-pde

> We have 3.1.0 final in now and it's possible what you're seeing could be some
> upstream bug.

We only have 3.1 final in rawhide (we're waiting on a gcc update before pushing
as an update to FC4).  I somehow doubt this is an upstream bug.

Perhaps try removing ~/.eclipse?  If you remove all the packages, are there any
files remaining in /usr/share/eclipse?  There could be some weird configuration
setting somewhere.
Comment 10 Billy Biggs 2005-07-08 10:48:44 EDT
While it's probably a good idea to try upgrading, this still doesn't make sense
-- libXm.so.2 is Motif.  Nothing from FC uses the Motif build of Eclipse.  At
some point, the bug reporter must have installed the Motif build.
Comment 11 Greg Ennis 2005-07-08 10:50:39 EDT
Sure... 

When I use up2date -u I receive "All packages are currntly up to date"

Do you want me to download files from :

http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/Fedora/RPMS/

and do a -force install?

Here are the files on your web site:

eclipse-bugzilla-0.1.0_fc-16...>	20-May-2005 15:31 	457K	 
eclipse-cdt-3.0.0_fc-0.M6.7.i..>	24-May-2005 17:52 	17M	 
eclipse-changelog-2.0.1_fc-21..>	20-May-2005 15:08 	218K	 
eclipse-ecj-3.1.0_fc-0.M6.22...>	22-May-2005 22:55 	6.9M	 
eclipse-jdt-3.1.0_fc-0.M6.22...>	22-May-2005 22:55 	21M	 
eclipse-jdt-devel-3.1.0_fc-0...>	22-May-2005 22:55 	8.0M	 
eclipse-pde-3.1.0_fc-0.M6.22...>	22-May-2005 22:55 	6.4M	 
eclipse-pde-devel-3.1.0_fc-0...>	22-May-2005 22:55 	1.5M	 
eclipse-platform-3.1.0_fc-0.M..>	22-May-2005 22:55 	43M	 
eclipse-platform-devel-3.1.0_..>	22-May-2005 22:55 	15M	 
eclipse-pydev-0.9.3_fc-7.i386..>	20-May-2005 15:31 	3.1M	 
Comment 12 Andrew Overholt 2005-07-08 10:53:48 EDT
(as seen in comment #9)
> yum --enablerepo=development install eclipse-pde

Note that this will bring in stuff from rawhide (what will become FC 5).  If you
aren't that concerned, you might want to wait until we get Eclipse 3.1 as an
update for FC4 (probably next week or the week after).
Comment 13 Greg Ennis 2005-07-08 11:01:45 EDT
Billy.....

Sorry, but I did not download or install anything other than what was on the FC4
DVD disc or the updates using up2date or yum.  

I accurately recorded what I did.  If the Motif was installed it was done so
from the DVD or the updates.  I have not installed any software on this unit
other than some perl and shell scripts that are customary for what I am doing.  

When this bug surfaced I stopped tweaking the system so that I would not have to
 redo a bunch of work in case I had to do a re-install of the whole system.

Comment 14 Billy Biggs 2005-07-08 11:05:37 EDT
Can you find the eclipse executable that's being run and post the output of
'ldd' on it?  I'm really curious.
Comment 15 Greg Ennis 2005-07-08 11:11:58 EDT
Thanks to everyone for your help!

I updated from rawhide, and everything went ok, but I am still getting the same
response.


yum --enablerepo=development install eclipse-pde

[greg@gpe ~]$ eclipse
eclipse: error while loading shared libraries: libXm.so.2: cannot open shared
object file: No such file or directory
Comment 16 Greg Ennis 2005-07-08 11:17:19 EDT
Thanks again for your help.

Here are the results of your request

in the directory of /usr/lib/eclipse is:

-rwxr-xr-x    1 root root  18556 May 22 14:17 eclipse
drwxr-xr-x   72 root root   4096 Jul  4 16:16 plugins
-rwxr-xr-x    1 root root 122008 May 22 14:17 startup.jar.so

ldd eclipse resulted in :
[greg@gpe eclipse]$ ldd eclipse
        linux-gate.so.1 =>  (0x00c8d000)
        libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x0601f000)
        libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00410000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x003d2000)
        libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00112000)
        libc.so.6 => /lib/libc.so.6 (0x00547000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x006c8000)
        libpangoxft-1.0.so.0 => /usr/lib/libpangoxft-1.0.so.0 (0x00a9b000)
        libpangox-1.0.so.0 => /usr/lib/libpangox-1.0.so.0 (0x0045d000)
        libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00a4a000)
        libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00a82000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00428000)
        libdl.so.2 => /lib/libdl.so.2 (0x00699000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00229000)
        libm.so.6 => /lib/libm.so.6 (0x00673000)
        libXrandr.so.2 => /usr/X11R6/lib/libXrandr.so.2 (0x00885000)
        libXi.so.6 => /usr/X11R6/lib/libXi.so.6 (0x00d62000)
        libXinerama.so.1 => /usr/X11R6/lib/libXinerama.so.1 (0x008ac000)
        libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x00b84000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x007d0000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x002ca000)
        libXfixes.so.3 => /usr/X11R6/lib/libXfixes.so.3 (0x00d8c000)
        libXcursor.so.1 => /usr/X11R6/lib/libXcursor.so.1 (0x008a0000)
        libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x0087b000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x0079e000)
        /lib/ld-linux.so.2 (0x00525000)
        libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00198000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x007af000)
        libz.so.1 => /usr/lib/libz.so.1 (0x002b5000)

Comment 17 Billy Biggs 2005-07-08 11:23:08 EDT
That doesn't link to libXm.so, so something else must be running when you run
'eclipse'.  What is the output of "which eclipse"?
Comment 18 Greg Ennis 2005-07-08 11:36:02 EDT
Billy.....

You sure get the prize!!!!

When I copied the scripts from my FC3 unit the eclipse binary was in
/usr/local/bin so it was copied as well.  I had tried to install eclipse on the
FC3 unit but was never able to make it function properly.  I did not realize
they put the binary in /usr/local/bin or had forgotten if I put it there.

Thank you all for your help.  Glad this was not a real bug!

Give me your address and I will send you some beers... what kind do you like?

Note You need to log in before you can comment on or make changes to this bug.